Name: python-beaker
Version: 1.12.1
Release: %mkrel 1
Summary: WSGI middleware layer to provide sessions

Group: Development/Python
License: BSD
URL: http://beaker.groovie.org/
Source0: %{pypi_source Beaker}
BuildArch: noarch
BuildRequires: python3-devel
BuildRequires: python3dist(setuptools)

%description
Beaker is a caching library that includes Session and Cache objects built on
Myghty's Container API used in MyghtyUtils. WSGI middleware is also included to
manage Session objects and signed cookies.

%package -n python3-beaker
Group: Development/Python
Summary: WSGI middleware layer to provide sessions
%{?python_provide:%python_provide python3-beaker}

%description -n python3-beaker
Beaker is a caching library that includes Session and Cache objects built on
Myghty's Container API used in MyghtyUtils. WSGI middleware is also included to
manage Session objects and signed cookies.


%prep
%setup -q -n Beaker-%{version}

# Drop bundle egg-info
rm -rf Beaker.egg-info

# Fix rpmlint warning
sed -i -e '/\/usr\/bin\/python/d' beaker/crypto/pbkdf2.py

%build
%py3_build

%install
%py3_install

%files -n python3-beaker
%doc README.rst
%{python3_sitelib}/beaker/
%{python3_sitelib}/Beaker*


%changelog
* Tue Apr 18 2023 kekepower <kekepower> 1.12.1-1.mga9
+ Revision: 1953583
- Update to version 1.12.1

* Wed Mar 23 2022 umeabot <umeabot> 1.11.0-6.mga9
+ Revision: 1822111
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 1.11.0-5.mga9
+ Revision: 1771859
- rebuild for python3.10

* Sun Mar 14 2021 wally <wally> 1.11.0-4.mga9
+ Revision: 1702589
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.11.0-3.mga8
+ Revision: 1530599
- Mageia 8 Mass Rebuild

* Wed Sep 04 2019 wally <wally> 1.11.0-2.mga8
+ Revision: 1437143
- rebuild with new python-rpm-macros

* Tue Sep 03 2019 wally <wally> 1.11.0-1.mga8
+ Revision: 1436788
- new version 1.11.0
- drop python2 support
- rebuild for python3.8

* Sun Jan 13 2019 wally <wally> 1.10.0-1.mga7
+ Revision: 1355943
- new version 1.10.0

* Sat Jan 05 2019 wally <wally> 1.9.1-6.mga7
+ Revision: 1349391
- BR python(2,3)-devel

* Sat Jan 05 2019 wally <wally> 1.9.1-5.mga7
+ Revision: 1349381
- another rebuild for python3.7

* Sat Jan 05 2019 wally <wally> 1.9.1-4.mga7
+ Revision: 1349269
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.9.1-3.mga7
+ Revision: 1288264
- Mageia 7 Mass Rebuild

* Thu Apr 26 2018 kekepower <kekepower> 1.9.1-2.mga7
+ Revision: 1222686
- Bump rel to fix no signature in package

* Thu Apr 26 2018 kekepower <kekepower> 1.9.1-1.mga7
+ Revision: 1222537
- Update to version 1.9.1
- Rename python-beaker to python2-beaker
- Use python_provide

* Fri Aug 04 2017 philippem <philippem> 1.9.0-1.mga7
+ Revision: 1134887
- update to 1.9.0, rebuild with Python 3.6

* Thu May 12 2016 philippem <philippem> 1.8.0-1.mga6
+ Revision: 1014405
- fix file list
- update to 1.8.0

* Fri Feb 19 2016 umeabot <umeabot> 1.6.4-10.mga6
+ Revision: 970628
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 1.6.4-9.mga6
+ Revision: 887480
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.6.4-8.mga5
+ Revision: 744361
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.6.4-7.mga5
+ Revision: 728104
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.6.4-6.mga5
+ Revision: 687901
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.6.4-5.mga5
+ Revision: 629725
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.6.4-4.mga5
+ Revision: 628468
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.6.4-3.mga4
+ Revision: 543030
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.6.4-2.mga4
+ Revision: 498160
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jul 04 2013 philippem <philippem> 1.6.4-1.mga4
+ Revision: 450104
- Update to 1.6.4, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 1.5.4-3.mga3
+ Revision: 378496
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 21 2011 ahmad <ahmad> 1.5.4-2.mga1
+ Revision: 55599
- rebuild to make all pythonegg requires/provides lowercase

* Sat Feb 05 2011 ahmad <ahmad> 1.5.4-1.mga1
+ Revision: 47063
- update to 1.5.4
- imported package python-beaker

